Skip to main content
POST
/
v2
/
international
/
beneficiaries
Create an international beneficiary
curl --request POST \
  --url https://thirdparty.qonto.com/v2/international/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
  "payload": {
    "currency": "EUR",
    "type": "aba",
    "details": {
      "address": {
        "city": "Paris",
        "country": "FR",
        "postCode": 75009,
        "firstLine": "18 rue du Navarin"
      },
      "swiftCode": "AAABBB00",
      "accountNumber": 123456789,
      "accountHolderName": "John Doe"
    }
  }
}
'
{
  "beneficiary": {
    "id": "0d6273cf-e4d0-469a-a3c8-d2196143470c",
    "name": "John Doe",
    "country": "US",
    "currency": "USD",
    "payment_type": "aba",
    "account_identifier": "123456789",
    "bank_identifier": "AAABBB00",
    "branch_identifier": "123456789"
  },
  "quote": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "PENDING",
    "created_at": "2025-01-01T08:00:00.000Z",
    "expired_at": "2025-01-01T08:00:00.000Z",
    "source_amount": {
      "currency": "EUR",
      "value": "100.00"
    },
    "target_amount": {
      "currency": "USD",
      "value": "110.00"
    },
    "rate": 1.1,
    "fees": {
      "total_amount": {
        "currency": "EUR",
        "value": "10.10"
      },
      "details": [
        {
          "currency": "EUR",
          "value": "10.10"
        }
      ]
    }
  },
  "target_account_id": "123456"
}

Documentation Index

Fetch the complete documentation index at: https://docs.qonto.com/llms.txt

Use this file to discover all available pages before exploring further.

The payload object for this endpoint is the same as the one used in the List Beneficiary requirements endpoint.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
quote_id
string<uuid>
required

The quote unique identifier

Example:

"0196edb0-9b6e-7554-9864-d111285a0a44"

payload
object
required

Response

Returns the international beneficiary created

beneficiary
object
quote
object
target_account_id
string

The ID of the beneficiary's target account

Example:

"123456"